%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

# WARNING
# To build this package, you may have to set LANG to es
# example : LANG=es; rpm -ba aspell-es.spec

%define src_ver 1.11-2
%define fname aspell6-%{languagecode}
%define aspell_ver 0.60
%define languagelocal espanol
%define languageeng spanish
%define languageenglazy Spanish
%define languagecode es

Summary:       %{languageenglazy} files for aspell
Name:          aspell-%{languagecode}
Version:       1.11.2
Release:       %mkrel 10
Group:         System/Internationalization
Source:        https://ftp.gnu.org/gnu/aspell/dict/%{languagecode}/%{fname}-%{src_ver}.tar.bz2
URL:           http://aspell.sourceforge.net/
License:       GPLv2
BuildRequires: aspell >= %{aspell_ver}
Requires:      aspell >= %{aspell_ver}

BuildRequires: locales-es

# Mageia Stuff
Requires:      locales-%{languagecode}
# aspell = 1, myspell = 2, lang-specific = 3
Provides:      aspell-dictionary spell-es

Autoreqprov:   no

%description
A %{languageenglazy} dictionary for use with aspell, a spelling checker.

%prep
%setup -q -n %{fname}-%{src_ver}

%build
export LANG=es
# don't use configure macro
./configure

%make_build

%install
export LANG=es

%make_install

chmod 644 README Copyright

%files
%doc README Copyright
%{_libdir}/aspell-%{aspell_ver}/*


%changelog
* Mon Mar 14 2022 umeabot <umeabot> 1.11.2-10.mga9
+ Revision: 1791217
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 9.mga8-current
+ Revision: 1510056
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Fri Sep 21 2018 umeabot <umeabot> 1.11.2-8.mga7
+ Revision: 1294728
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.11.2-7.mga6
+ Revision: 945567
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.11.2-6.mga5
+ Revision: 742574
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.11.2-5.mga5
+ Revision: 677936
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.11.2-4.mga4
+ Revision: 502629
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.11.2-3.mga3
+ Revision: 346213
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 04 2012 kamil <kamil> 1.11.2-2.mga2
+ Revision: 204395
- drop providing of enchant-dictionary
- clean .spec a bit

* Thu Apr 14 2011 ahmad <ahmad> 1.11.2-1.mga1
+ Revision: 85507
- update to 1.11.2
- imported package aspell-es
+ dmorgan <dmorgan>
- Remove mandriva occurencies


* Mon Nov 29 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9a.1-4mdv2011.0
+ Revision: 603204
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9a.1-3mdv2010.1
+ Revision: 518918
- rebuild

* Wed Jun 24 2009 Isabel Vallejo <isabel@mandriva.org> 1.9a.1-2mdv2010.0
+ Revision: 388882
- update to 1.9a.1
- update to 1.9a-1
- update to 1.9a-1
- update to 1.9a-1

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 0.50.2-12mdv2009.1
+ Revision: 350019
- 2009.1 rebuild

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 0.50.2-11mdv2009.0
+ Revision: 220373
- rebuild

* Sun Mar 09 2008 Anssi Hannula <anssi@mandriva.org> 0.50.2-10mdv2008.1
+ Revision: 182418
- provide enchant-dictionary

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request
    - s/Mandrake/Mandriva/

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.50.2-8mdv2007.0
+ Revision: 123245
- Import aspell-es

* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.50.2-8mdv2007.1
- use the mkrel macro
- disable debug packages

* Fri Dec 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.50.2-6mdk
- rebuild for new aspell

* Wed Jul 28 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 0.50.2-5mdk
- allow build on ia64

